use std::fmt::Debug;

pub trait FileAccessInterface: Debug {
    fn read_file(&self, path: &str) -> Result<String, std::io::Error>;
}

#[derive(Debug, Clone)]
pub struct LocalFileAccessInterface;

impl FileAccessInterface for LocalFileAccessInterface {
    fn read_file(&self, path: &str) -> Result<String, std::io::Error> {
        Ok(std::fs::read_to_string(path)?)
    }
}
